Summary: GNU grep utility
Name: grep
Version: 3.11
Release: r0
License: GPL-3.0-only
Group: console/utils
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://savannah.gnu.org/projects/grep/
Source0: grep-3.11.tar.xz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gettext-native
BuildRequires: libpcre2
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
Requires: /bin/sh
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.26)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libpcre2 >= 10.44
Requires: libpcre2-8.so.0()(64bit)
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): /bin/sh
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.26)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libpcre2 >= 10.44
Requires(post): libpcre2-8.so.0()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): /bin/sh
Requires(preun): ld-linux-aarch64.so.1()(64bit)
Requires(preun): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6(GLIBC_2.26)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): libpcre2 >= 10.44
Requires(preun): libpcre2-8.so.0()(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /bin/egrep
Provides: /bin/fgrep
Provides: /bin/grep

%description
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.

%package -n grep-src
Summary: GNU grep utility - Source files
License: GPL-3.0-only
Group: devel

%description -n grep-src
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains sources for debugging purposes.

%package -n grep-dbg
Summary: GNU grep utility - Debugging files
License: GPL-3.0-only
Group: devel
Recommends: glibc-dbg
Recommends: libpcre2-dbg

%description -n grep-dbg
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n grep-staticdev
Summary: GNU grep utility - Development files (Static Libraries)
License: GPL-3.0-only
Group: devel
Requires: grep-dev = 3.11-r0

%description -n grep-staticdev
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains static libraries for software development.

%package -n grep-dev
Summary: GNU grep utility - Development files
License: GPL-3.0-only
Group: devel
Recommends: glibc-dev
Recommends: grep = 3.11-r0
Recommends: libpcre2-dev
Recommends: update-alternatives-opkg-dev

%description -n grep-dev
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n grep-doc
Summary: GNU grep utility - Documentation files
License: GPL-3.0-only
Group: doc

%description -n grep-doc
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains documentation.

%package -n grep-locale-af
Summary: GNU grep utility - af translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-af
Provides: af-translation
Provides: grep-locale

%description -n grep-locale-af
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the af locale.

%package -n grep-locale-be
Summary: GNU grep utility - be translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-be
Provides: be-translation
Provides: grep-locale

%description -n grep-locale-be
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the be locale.

%package -n grep-locale-bg
Summary: GNU grep utility - bg translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-bg
Provides: bg-translation
Provides: grep-locale

%description -n grep-locale-bg
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the bg locale.

%package -n grep-locale-ca
Summary: GNU grep utility - ca translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ca
Provides: ca-translation
Provides: grep-locale

%description -n grep-locale-ca
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ca locale.

%package -n grep-locale-cs
Summary: GNU grep utility - cs translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-cs
Provides: cs-translation
Provides: grep-locale

%description -n grep-locale-cs
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the cs locale.

%package -n grep-locale-da
Summary: GNU grep utility - da translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-da
Provides: da-translation
Provides: grep-locale

%description -n grep-locale-da
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the da locale.

%package -n grep-locale-de
Summary: GNU grep utility - de translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-de
Provides: de-translation
Provides: grep-locale

%description -n grep-locale-de
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the de locale.

%package -n grep-locale-el
Summary: GNU grep utility - el translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-el
Provides: el-translation
Provides: grep-locale

%description -n grep-locale-el
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the el locale.

%package -n grep-locale-eo
Summary: GNU grep utility - eo translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-eo
Provides: eo-translation
Provides: grep-locale

%description -n grep-locale-eo
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the eo locale.

%package -n grep-locale-es
Summary: GNU grep utility - es translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-es
Provides: es-translation
Provides: grep-locale

%description -n grep-locale-es
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the es locale.

%package -n grep-locale-et
Summary: GNU grep utility - et translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-et
Provides: et-translation
Provides: grep-locale

%description -n grep-locale-et
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the et locale.

%package -n grep-locale-eu
Summary: GNU grep utility - eu translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-eu
Provides: eu-translation
Provides: grep-locale

%description -n grep-locale-eu
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the eu locale.

%package -n grep-locale-fi
Summary: GNU grep utility - fi translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-fi
Provides: fi-translation
Provides: grep-locale

%description -n grep-locale-fi
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the fi locale.

%package -n grep-locale-fr
Summary: GNU grep utility - fr translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-fr
Provides: fr-translation
Provides: grep-locale

%description -n grep-locale-fr
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the fr locale.

%package -n grep-locale-ga
Summary: GNU grep utility - ga translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ga
Provides: ga-translation
Provides: grep-locale

%description -n grep-locale-ga
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ga locale.

%package -n grep-locale-gl
Summary: GNU grep utility - gl translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-gl
Provides: gl-translation
Provides: grep-locale

%description -n grep-locale-gl
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the gl locale.

%package -n grep-locale-he
Summary: GNU grep utility - he translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-he
Provides: grep-locale
Provides: he-translation

%description -n grep-locale-he
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the he locale.

%package -n grep-locale-hr
Summary: GNU grep utility - hr translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-hr
Provides: grep-locale
Provides: hr-translation

%description -n grep-locale-hr
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the hr locale.

%package -n grep-locale-hu
Summary: GNU grep utility - hu translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-hu
Provides: grep-locale
Provides: hu-translation

%description -n grep-locale-hu
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the hu locale.

%package -n grep-locale-id
Summary: GNU grep utility - id translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-id
Provides: grep-locale
Provides: id-translation

%description -n grep-locale-id
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the id locale.

%package -n grep-locale-it
Summary: GNU grep utility - it translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-it
Provides: grep-locale
Provides: it-translation

%description -n grep-locale-it
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the it locale.

%package -n grep-locale-ja
Summary: GNU grep utility - ja translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ja
Provides: grep-locale
Provides: ja-translation

%description -n grep-locale-ja
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ja locale.

%package -n grep-locale-ka
Summary: GNU grep utility - ka translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ka
Provides: grep-locale
Provides: ka-translation

%description -n grep-locale-ka
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ka locale.

%package -n grep-locale-ko
Summary: GNU grep utility - ko translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ko
Provides: grep-locale
Provides: ko-translation

%description -n grep-locale-ko
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ko locale.

%package -n grep-locale-ky
Summary: GNU grep utility - ky translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ky
Provides: grep-locale
Provides: ky-translation

%description -n grep-locale-ky
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ky locale.

%package -n grep-locale-lt
Summary: GNU grep utility - lt translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-lt
Provides: grep-locale
Provides: lt-translation

%description -n grep-locale-lt
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the lt locale.

%package -n grep-locale-nb
Summary: GNU grep utility - nb translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-nb
Provides: grep-locale
Provides: nb-translation

%description -n grep-locale-nb
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the nb locale.

%package -n grep-locale-nl
Summary: GNU grep utility - nl translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-nl
Provides: grep-locale
Provides: nl-translation

%description -n grep-locale-nl
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the nl locale.

%package -n grep-locale-pa
Summary: GNU grep utility - pa translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-pa
Provides: grep-locale
Provides: pa-translation

%description -n grep-locale-pa
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the pa locale.

%package -n grep-locale-pl
Summary: GNU grep utility - pl translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-pl
Provides: grep-locale
Provides: pl-translation

%description -n grep-locale-pl
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the pl locale.

%package -n grep-locale-pt
Summary: GNU grep utility - pt translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-pt
Provides: grep-locale
Provides: pt-translation

%description -n grep-locale-pt
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the pt locale.

%package -n grep-locale-pt-br
Summary: GNU grep utility - pt_BR translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-pt-br
Provides: grep-locale
Provides: pt-br-translation

%description -n grep-locale-pt-br
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the pt_BR locale.

%package -n grep-locale-ro
Summary: GNU grep utility - ro translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ro
Provides: grep-locale
Provides: ro-translation

%description -n grep-locale-ro
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ro locale.

%package -n grep-locale-ru
Summary: GNU grep utility - ru translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ru
Provides: grep-locale
Provides: ru-translation

%description -n grep-locale-ru
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ru locale.

%package -n grep-locale-sk
Summary: GNU grep utility - sk translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-sk
Provides: grep-locale
Provides: sk-translation

%description -n grep-locale-sk
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the sk locale.

%package -n grep-locale-sl
Summary: GNU grep utility - sl translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-sl
Provides: grep-locale
Provides: sl-translation

%description -n grep-locale-sl
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the sl locale.

%package -n grep-locale-sr
Summary: GNU grep utility - sr translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-sr
Provides: grep-locale
Provides: sr-translation

%description -n grep-locale-sr
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the sr locale.

%package -n grep-locale-sv
Summary: GNU grep utility - sv translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-sv
Provides: grep-locale
Provides: sv-translation

%description -n grep-locale-sv
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the sv locale.

%package -n grep-locale-ta
Summary: GNU grep utility - ta translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-ta
Provides: grep-locale
Provides: ta-translation

%description -n grep-locale-ta
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the ta locale.

%package -n grep-locale-th
Summary: GNU grep utility - th translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-th
Provides: grep-locale
Provides: th-translation

%description -n grep-locale-th
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the th locale.

%package -n grep-locale-tr
Summary: GNU grep utility - tr translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-tr
Provides: grep-locale
Provides: tr-translation

%description -n grep-locale-tr
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the tr locale.

%package -n grep-locale-uk
Summary: GNU grep utility - uk translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-uk
Provides: grep-locale
Provides: uk-translation

%description -n grep-locale-uk
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the uk locale.

%package -n grep-locale-vi
Summary: GNU grep utility - vi translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-vi
Provides: grep-locale
Provides: vi-translation

%description -n grep-locale-vi
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the vi locale.

%package -n grep-locale-zh-cn
Summary: GNU grep utility - zh_CN translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-zh-cn
Provides: grep-locale
Provides: zh-cn-translation

%description -n grep-locale-zh-cn
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the zh_CN locale.

%package -n grep-locale-zh-tw
Summary: GNU grep utility - zh_TW translations
License: GPL-3.0-only
Group: console/utils
Recommends: virtual-locale-zh-tw
Provides: grep-locale
Provides: zh-tw-translation

%description -n grep-locale-zh-tw
Grep searches one or more input files for lines containing a match to a
specified pattern. By default, grep prints the matching lines.  This
package contains language translation files for the zh_TW locale.

%post
# grep - postinst
#!/bin/sh
set -e
	update-alternatives --install /bin/grep grep /bin/grep.grep 100
	update-alternatives --install /bin/egrep egrep /bin/egrep.grep 100
	update-alternatives --install /bin/fgrep fgrep /bin/fgrep.grep 100


%preun
# grep - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  grep /bin/grep.grep
	update-alternatives --remove  egrep /bin/egrep.grep
	update-alternatives --remove  fgrep /bin/fgrep.grep
fi

%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/bin"
%attr(755,root,root) "/bin/fgrep.grep"
%attr(755,root,root) "/bin/egrep.grep"
%attr(755,root,root) "/bin/grep.grep"

%files -n grep-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/grep"
%attr(755,root,root) %dir "/usr/src/debug/grep/3.11"
%attr(755,root,root) %dir "/usr/src/debug/grep/3.11/lib"
%attr(755,root,root) %dir "/usr/src/debug/grep/3.11/src"
%attr(755,root,root) %dir "/usr/src/debug/grep/3.11/lib/malloc"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fts.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/opendirat.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/getopt1.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/closeout.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbsrtowcs-state.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fts-cycle.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/quote.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/safe-read.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/c-ctype.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/string.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/getopt-ext.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/basename-lgpl.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/argmatch.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/i-ring.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/hash.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dirent.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/binary-io.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbrtowc.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/c-stack.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/colorize.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dfa.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/getopt_int.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/c-strcase.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/localeinfo.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/sigsegv.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/exitfail.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/stripslash.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fnmatch_loop.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fopen.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/hard-locale.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbscasecmp.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbsrtowcs.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dev-ino.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fts_.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/argmatch.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbrlen.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbchar.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/getprogname.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/xalloc.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/regex_internal.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/str-two-way.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/quotearg.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/localcharset.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/version-etc.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/opendirat.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fnmatch.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/c-strcasecmp.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fnmatch.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fd-safer.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/bitrotate.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/xstrtol.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/cycle-check.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/regcomp.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/strnlen1.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/localeinfo.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/c-stack.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbchar.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/stackvma.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbsrtowcs-impl.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/btowc.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/ialloc.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/safe-read.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/obstack.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/exclude.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/exitfail.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/setlocale_null.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/stackvma.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/cycle-check.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/regexec.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/mbuiter.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/sys-limits.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/getopt-core.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/closeout.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/strstr.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dirfd.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/memchr2.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fcntl.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/hard-locale.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/xmalloc.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/strnlen1.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fcntl-safer.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/c-strcaseeq.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/obstack.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/fcntl.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/open-safer.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/xstrtol.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/xbinary-io.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dfa.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/basename-lgpl.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/regex.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/idx.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/xalloc-die.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/version-etc.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/i-ring.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/hash.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/memchr.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dup-safer.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/stdlib.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/exclude.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/version-etc-fsf.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/stdio.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/memchr2.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/localcharset.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/colorize-posix.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/openat-safer.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/sigsegv.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/dirname.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/regex_internal.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/wchar.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/quotearg.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/unistd-safer.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/close-stream.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/setlocale_null.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/getopt.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/close-stream.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/malloc/dynarray_resize.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/malloc/dynarray.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/lib/malloc/dynarray-skeleton.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/pcresearch.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/kwset.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/search.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/dfasearch.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/grep.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/searchutils.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/grep.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/kwsearch.c"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/system.h"
%attr(644,root,root) "/usr/src/debug/grep/3.11/src/kwset.h"

%files -n grep-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/bin"
%attr(755,root,root) %dir "/bin/.debug"
%attr(755,root,root) "/bin/.debug/grep.grep"

%files -n grep-dev
%defattr(-,-,-,-)

%files -n grep-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/grep.1"
%attr(644,root,root) "/usr/share/info/grep.info"

%files -n grep-locale-af
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/af"
%attr(755,root,root) %dir "/usr/share/locale/af/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/af/LC_MESSAGES/grep.mo"

%files -n grep-locale-be
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/be"
%attr(755,root,root) %dir "/usr/share/locale/be/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/be/LC_MESSAGES/grep.mo"

%files -n grep-locale-bg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/bg"
%attr(755,root,root) %dir "/usr/share/locale/bg/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/bg/LC_MESSAGES/grep.mo"

%files -n grep-locale-ca
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ca"
%attr(755,root,root) %dir "/usr/share/locale/ca/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ca/LC_MESSAGES/grep.mo"

%files -n grep-locale-cs
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/cs"
%attr(755,root,root) %dir "/usr/share/locale/cs/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/cs/LC_MESSAGES/grep.mo"

%files -n grep-locale-da
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/da"
%attr(755,root,root) %dir "/usr/share/locale/da/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/da/LC_MESSAGES/grep.mo"

%files -n grep-locale-de
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/de"
%attr(755,root,root) %dir "/usr/share/locale/de/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/de/LC_MESSAGES/grep.mo"

%files -n grep-locale-el
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/el"
%attr(755,root,root) %dir "/usr/share/locale/el/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/el/LC_MESSAGES/grep.mo"

%files -n grep-locale-eo
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eo"
%attr(755,root,root) %dir "/usr/share/locale/eo/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eo/LC_MESSAGES/grep.mo"

%files -n grep-locale-es
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/es"
%attr(755,root,root) %dir "/usr/share/locale/es/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/es/LC_MESSAGES/grep.mo"

%files -n grep-locale-et
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/et"
%attr(755,root,root) %dir "/usr/share/locale/et/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/et/LC_MESSAGES/grep.mo"

%files -n grep-locale-eu
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eu"
%attr(755,root,root) %dir "/usr/share/locale/eu/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eu/LC_MESSAGES/grep.mo"

%files -n grep-locale-fi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fi"
%attr(755,root,root) %dir "/usr/share/locale/fi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fi/LC_MESSAGES/grep.mo"

%files -n grep-locale-fr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fr"
%attr(755,root,root) %dir "/usr/share/locale/fr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fr/LC_MESSAGES/grep.mo"

%files -n grep-locale-ga
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ga"
%attr(755,root,root) %dir "/usr/share/locale/ga/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ga/LC_MESSAGES/grep.mo"

%files -n grep-locale-gl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/gl"
%attr(755,root,root) %dir "/usr/share/locale/gl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/gl/LC_MESSAGES/grep.mo"

%files -n grep-locale-he
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/he"
%attr(755,root,root) %dir "/usr/share/locale/he/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/he/LC_MESSAGES/grep.mo"

%files -n grep-locale-hr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hr"
%attr(755,root,root) %dir "/usr/share/locale/hr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hr/LC_MESSAGES/grep.mo"

%files -n grep-locale-hu
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hu"
%attr(755,root,root) %dir "/usr/share/locale/hu/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hu/LC_MESSAGES/grep.mo"

%files -n grep-locale-id
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/id"
%attr(755,root,root) %dir "/usr/share/locale/id/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/id/LC_MESSAGES/grep.mo"

%files -n grep-locale-it
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/it"
%attr(755,root,root) %dir "/usr/share/locale/it/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/it/LC_MESSAGES/grep.mo"

%files -n grep-locale-ja
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ja"
%attr(755,root,root) %dir "/usr/share/locale/ja/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ja/LC_MESSAGES/grep.mo"

%files -n grep-locale-ka
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ka"
%attr(755,root,root) %dir "/usr/share/locale/ka/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ka/LC_MESSAGES/grep.mo"

%files -n grep-locale-ko
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ko"
%attr(755,root,root) %dir "/usr/share/locale/ko/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ko/LC_MESSAGES/grep.mo"

%files -n grep-locale-ky
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ky"
%attr(755,root,root) %dir "/usr/share/locale/ky/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ky/LC_MESSAGES/grep.mo"

%files -n grep-locale-lt
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/lt"
%attr(755,root,root) %dir "/usr/share/locale/lt/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/lt/LC_MESSAGES/grep.mo"

%files -n grep-locale-nb
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/nb"
%attr(755,root,root) %dir "/usr/share/locale/nb/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/nb/LC_MESSAGES/grep.mo"

%files -n grep-locale-nl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/nl"
%attr(755,root,root) %dir "/usr/share/locale/nl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/nl/LC_MESSAGES/grep.mo"

%files -n grep-locale-pa
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pa"
%attr(755,root,root) %dir "/usr/share/locale/pa/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pa/LC_MESSAGES/grep.mo"

%files -n grep-locale-pl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pl"
%attr(755,root,root) %dir "/usr/share/locale/pl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pl/LC_MESSAGES/grep.mo"

%files -n grep-locale-pt
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt"
%attr(755,root,root) %dir "/usr/share/locale/pt/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt/LC_MESSAGES/grep.mo"

%files -n grep-locale-pt-br
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt_BR/LC_MESSAGES/grep.mo"

%files -n grep-locale-ro
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ro"
%attr(755,root,root) %dir "/usr/share/locale/ro/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ro/LC_MESSAGES/grep.mo"

%files -n grep-locale-ru
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ru"
%attr(755,root,root) %dir "/usr/share/locale/ru/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ru/LC_MESSAGES/grep.mo"

%files -n grep-locale-sk
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sk"
%attr(755,root,root) %dir "/usr/share/locale/sk/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sk/LC_MESSAGES/grep.mo"

%files -n grep-locale-sl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sl"
%attr(755,root,root) %dir "/usr/share/locale/sl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sl/LC_MESSAGES/grep.mo"

%files -n grep-locale-sr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sr"
%attr(755,root,root) %dir "/usr/share/locale/sr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sr/LC_MESSAGES/grep.mo"

%files -n grep-locale-sv
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sv"
%attr(755,root,root) %dir "/usr/share/locale/sv/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sv/LC_MESSAGES/grep.mo"

%files -n grep-locale-ta
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ta"
%attr(755,root,root) %dir "/usr/share/locale/ta/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ta/LC_MESSAGES/grep.mo"

%files -n grep-locale-th
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/th"
%attr(755,root,root) %dir "/usr/share/locale/th/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/th/LC_MESSAGES/grep.mo"

%files -n grep-locale-tr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/tr"
%attr(755,root,root) %dir "/usr/share/locale/tr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/tr/LC_MESSAGES/grep.mo"

%files -n grep-locale-uk
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/uk"
%attr(755,root,root) %dir "/usr/share/locale/uk/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/uk/LC_MESSAGES/grep.mo"

%files -n grep-locale-vi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/vi"
%attr(755,root,root) %dir "/usr/share/locale/vi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/vi/LC_MESSAGES/grep.mo"

%files -n grep-locale-zh-cn
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_CN/LC_MESSAGES/grep.mo"

%files -n grep-locale-zh-tw
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_TW"
%attr(755,root,root) %dir "/usr/share/locale/zh_TW/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_TW/LC_MESSAGES/grep.mo"

%%prep
echo "include logs and patches, Please check them in SOURCES"

